from json import load

from django.core.management.base import BaseCommand, CommandError

from .importer import do_import


class Command(BaseCommand):
    help = "Imports AP data into Django DB"

    def add_arguments(self, parser):
        parser.add_argument("--local", action="store_true")
        parser.add_argument("--save", action="store_true")

    def handle(self, *args, **options):
        load_from_files = options["local"]
        save_local_files = options["save"]

        do_import(load_from_files, save_local_files)
