from meleager.models import Description

from ..helpers import to_date


def get_or_create_description(
    description, language, creator, last_editor, created_at, updated_at
):

    defaults = {
        "creator": creator,
        "last_editor": last_editor,
        "created_at": to_date(created_at),
        "updated_at": to_date(updated_at),
    }

    if description is None:
        description = ""

    description_obj, created = Description.objects.update_or_create(
        description=description, language=language, defaults=defaults
    )

    return description_obj
