# Generated by Django 3.1.1 on 2020-10-31 02:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("meleager", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="work",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_work_creator",
                related_query_name="meleager_works_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="work",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_work",
                related_query_name="meleager_works",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="work",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_work_last_editor",
                related_query_name="meleager_works_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="work",
            name="names",
            field=models.ManyToManyField(
                help_text="The multilingual names for this object.",
                related_name="mlgr_works",
                to="meleager.Name",
            ),
        ),
        migrations.AddField(
            model_name="work",
            name="urn",
            field=models.ForeignKey(
                blank=True,
                help_text="The URN of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_work_urn",
                related_query_name="meleager_works_urn",
                to="meleager.urn",
            ),
        ),
        migrations.AddField(
            model_name="urn",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_urn_creator",
                related_query_name="meleager_urns_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="urn",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_urn",
                related_query_name="meleager_urns",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="urn",
            name="keywords",
            field=models.ManyToManyField(
                help_text="The keywords that tag this resource.",
                related_name="mlgr_urns",
                to="meleager.Keyword",
            ),
        ),
        migrations.AddField(
            model_name="urn",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_urn_last_editor",
                related_query_name="meleager_urns_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="text",
            name="comments",
            field=models.ManyToManyField(
                help_text="The comments of this resource.",
                related_name="texts",
                to="meleager.Comment",
            ),
        ),
        migrations.AddField(
            model_name="text",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_text_creator",
                related_query_name="meleager_texts_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="text",
            name="edition",
            field=models.ForeignKey(
                blank=True,
                help_text="The edition of this text.",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="meleager.edition",
            ),
        ),
        migrations.AddField(
            model_name="text",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_text_last_editor",
                related_query_name="meleager_texts_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="text",
            name="passage",
            field=models.ForeignKey(
                help_text="Passage for this text",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="texts",
                to="meleager.passage",
            ),
        ),
        migrations.AddField(
            model_name="text",
            name="scholium",
            field=models.ForeignKey(
                help_text="Scholium for this text",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="texts",
                to="meleager.scholium",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="alternative_urns",
            field=models.ManyToManyField(
                help_text="The alternative URNs of this resource.",
                related_name="meleager_scholium_alternative_urns",
                related_query_name="meleager_scholiums_alternative_urns",
                to="meleager.URN",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="city",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="mlgr_scholia",
                to="meleager.city",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="comments",
            field=models.ManyToManyField(
                help_text="The comments of this resource.",
                related_name="mlgr_scholia",
                to="meleager.Comment",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_scholium_creator",
                related_query_name="meleager_scholiums_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_scholium",
                related_query_name="meleager_scholiums",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="images",
            field=models.ManyToManyField(
                help_text="The images associated to this resource.",
                related_name="mlgr_scholia",
                to="meleager.Medium",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="keywords",
            field=models.ManyToManyField(
                help_text="The keywords that tag this resource.",
                related_name="mlgr_scholia",
                to="meleager.Keyword",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_scholium_last_editor",
                related_query_name="meleager_scholiums_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="manuscripts",
            field=models.ManyToManyField(
                help_text="The image of the manuscript for this passage.",
                to="meleager.Manuscript",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="passage",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="mlgr_scholia",
                to="meleager.passage",
            ),
        ),
        migrations.AddField(
            model_name="scholium",
            name="urn",
            field=models.ForeignKey(
                blank=True,
                help_text="The URN of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_scholium_urn",
                related_query_name="meleager_scholiums_urn",
                to="meleager.urn",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="alternative_urns",
            field=models.ManyToManyField(
                help_text="The alternative URNs of this resource.",
                related_name="meleager_passage_alternative_urns",
                related_query_name="meleager_passages_alternative_urns",
                to="meleager.URN",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="authors",
            field=models.ManyToManyField(to="meleager.Author"),
        ),
        migrations.AddField(
            model_name="passage",
            name="book",
            field=models.ForeignKey(
                help_text="Book the passage is in",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="passages",
                to="meleager.book",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="city",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="passages",
                to="meleager.city",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="comments",
            field=models.ManyToManyField(
                help_text="The comments of this resource.",
                related_name="mlgr_passages",
                to="meleager.Comment",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_passage_creator",
                related_query_name="meleager_passages_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_passage",
                related_query_name="meleager_passages",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="external_references",
            field=models.ManyToManyField(to="meleager.URN"),
        ),
        migrations.AddField(
            model_name="passage",
            name="images",
            field=models.ManyToManyField(
                help_text="The images associated to this resource.",
                related_name="mlgr_passages",
                to="meleager.Medium",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="internal_references",
            field=models.ManyToManyField(
                related_name="_passage_internal_references_+", to="meleager.Passage"
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="keywords",
            field=models.ManyToManyField(
                help_text="The keywords that tag this resource.",
                related_name="mlgr_passages",
                to="meleager.Keyword",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_passage_last_editor",
                related_query_name="meleager_passages_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="manuscripts",
            field=models.ManyToManyField(
                help_text="The image of the manuscript for this passage.",
                related_name="mlgr_passages",
                to="meleager.Manuscript",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="urn",
            field=models.ForeignKey(
                blank=True,
                help_text="The URN of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_passage_urn",
                related_query_name="meleager_passages_urn",
                to="meleager.urn",
            ),
        ),
        migrations.AddField(
            model_name="name",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_name_creator",
                related_query_name="meleager_names_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="name",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_name_last_editor",
                related_query_name="meleager_names_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="medium",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_medium_creator",
                related_query_name="meleager_mediums_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="medium",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_medium",
                related_query_name="meleager_mediums",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="medium",
            name="keywords",
            field=models.ManyToManyField(
                help_text="The keywords that tag this resource.",
                related_name="mlgr_media",
                to="meleager.Keyword",
            ),
        ),
        migrations.AddField(
            model_name="medium",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_medium_last_editor",
                related_query_name="meleager_mediums_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="manuscript",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_manuscript_creator",
                related_query_name="meleager_manuscripts_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="manuscript",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_manuscript",
                related_query_name="meleager_manuscripts",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="manuscript",
            name="keywords",
            field=models.ManyToManyField(
                help_text="The keywords that tag this resource.",
                related_name="mlgr_manuscripts",
                to="meleager.Keyword",
            ),
        ),
        migrations.AddField(
            model_name="manuscript",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_manuscript_last_editor",
                related_query_name="meleager_manuscripts_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="keywordcategory",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_keywordcategory_creator",
                related_query_name="meleager_keywordcategorys_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="keywordcategory",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_keywordcategory",
                related_query_name="meleager_keywordcategorys",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="keywordcategory",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_keywordcategory_last_editor",
                related_query_name="meleager_keywordcategorys_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="keywordcategory",
            name="names",
            field=models.ManyToManyField(
                help_text="The multilingual names for this object.",
                related_name="mlgr_keyword_categories",
                to="meleager.Name",
            ),
        ),
        migrations.AddField(
            model_name="keyword",
            name="category",
            field=models.ForeignKey(
                help_text="The category this keyword belongs to.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="meleager.keywordcategory",
            ),
        ),
        migrations.AddField(
            model_name="keyword",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_keyword_creator",
                related_query_name="meleager_keywords_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="keyword",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_keyword",
                related_query_name="meleager_keywords",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="keyword",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_keyword_last_editor",
                related_query_name="meleager_keywords_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="keyword",
            name="names",
            field=models.ManyToManyField(
                help_text="The multilingual names for this object.",
                related_name="mlgr_keywords",
                to="meleager.Name",
            ),
        ),
        migrations.AddField(
            model_name="edition",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_edition_creator",
                related_query_name="meleager_editions_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="edition",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_edition",
                related_query_name="meleager_editions",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="edition",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_edition_last_editor",
                related_query_name="meleager_editions_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="edition",
            name="work",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="meleager.work"
            ),
        ),
        migrations.AddField(
            model_name="description",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_description_creator",
                related_query_name="meleager_descriptions_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="description",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_description_last_editor",
                related_query_name="meleager_descriptions_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="comment",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_comment_creator",
                related_query_name="meleager_comments_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="comment",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_comment",
                related_query_name="meleager_comments",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="comment",
            name="images",
            field=models.ManyToManyField(
                help_text="The images associated to this resource.",
                related_name="mlgr_comments",
                to="meleager.Medium",
            ),
        ),
        migrations.AddField(
            model_name="comment",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_comment_last_editor",
                related_query_name="meleager_comments_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="city",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_city_creator",
                related_query_name="meleager_citys_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="city",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_city",
                related_query_name="meleager_citys",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="city",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_city_last_editor",
                related_query_name="meleager_citys_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="city",
            name="names",
            field=models.ManyToManyField(
                help_text="The multilingual names for this object.",
                related_name="mlgr_cities",
                to="meleager.Name",
            ),
        ),
        migrations.AddField(
            model_name="book",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_book_creator",
                related_query_name="meleager_books_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="book",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_book",
                related_query_name="meleager_books",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="book",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_book_last_editor",
                related_query_name="meleager_books_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="book",
            name="work",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="meleager.work"
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="alternative_urns",
            field=models.ManyToManyField(
                help_text="The alternative URNs of this resource.",
                related_name="meleager_author_alternative_urns",
                related_query_name="meleager_authors_alternative_urns",
                to="meleager.URN",
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="city_born",
            field=models.ForeignKey(
                blank=True,
                help_text="The city where this author was born.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="mlgr_authors_born",
                related_query_name="meleager_authors_city_born",
                to="meleager.city",
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="city_died",
            field=models.ForeignKey(
                blank=True,
                help_text="The city where this author died.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="mlgr_authors_died",
                to="meleager.city",
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_author_creator",
                related_query_name="meleager_authors_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="descriptions",
            field=models.ManyToManyField(
                help_text="The multilingual descriptions for this object.",
                related_name="meleager_author",
                related_query_name="meleager_authors",
                to="meleager.Description",
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="images",
            field=models.ManyToManyField(
                help_text="The images associated to this resource.",
                related_name="mlgr_authors",
                to="meleager.Medium",
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_author_last_editor",
                related_query_name="meleager_authors_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="names",
            field=models.ManyToManyField(
                help_text="The multilingual names for this object.",
                related_name="mlgr_authors",
                to="meleager.Name",
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="urn",
            field=models.ForeignKey(
                blank=True,
                help_text="The URN of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_author_urn",
                related_query_name="meleager_authors_urn",
                to="meleager.urn",
            ),
        ),
        migrations.AddField(
            model_name="alignment",
            name="creator",
            field=models.ForeignKey(
                help_text="The creator of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_alignment_creator",
                related_query_name="meleager_alignments_creator",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="alignment",
            name="last_editor",
            field=models.ForeignKey(
                help_text="The last editor of this resource.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="meleager_alignment_last_editor",
                related_query_name="meleager_alignments_last_editor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="alignment",
            name="text_1",
            field=models.ForeignKey(
                blank=True,
                help_text="The first text, if null, the text is missing (deleted)",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="meleager_alignment_text_1",
                related_query_name="meleager_alignments_text_1",
                to="meleager.text",
            ),
        ),
        migrations.AddField(
            model_name="alignment",
            name="text_2",
            field=models.ForeignKey(
                blank=True,
                help_text="The second text, if null, the text is missing (deleted)",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="meleager_alignment_text_2",
                related_query_name="meleager_alignments_text_2",
                to="meleager.text",
            ),
        ),
    ]
