# Generated by Django 3.1.1 on 2020-11-11 22:37

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("meleager", "0002_auto_20201031_0207"),
    ]

    operations = [
        migrations.CreateModel(
            name="ValidationLevelName",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "validation_level",
                    models.IntegerField(
                        choices=[
                            (
                                0,
                                "Validation level 0, see ValidationLevelName.validation_level = 0 for the validation level name.",
                            ),
                            (
                                1,
                                "Validation level 1, see ValidationLevelName.validation_level = 1 for the validation level name.",
                            ),
                        ],
                        help_text="The validation level integer associated with name",
                        unique=True,
                    ),
                ),
                ("rank", models.IntegerField()),
                (
                    "name",
                    models.TextField(
                        help_text="The name of this validation level", unique=True
                    ),
                ),
            ],
        ),
        migrations.AlterModelOptions(
            name="city",
            options={"verbose_name_plural": "cities"},
        ),
        migrations.AlterModelOptions(
            name="scholium",
            options={"verbose_name_plural": "Scholia"},
        ),
        migrations.CreateModel(
            name="Editor",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(default=django.utils.timezone.now)),
                ("updated_at", models.DateTimeField(default=django.utils.timezone.now)),
                (
                    "creator",
                    models.ForeignKey(
                        help_text="The creator of this resource.",
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="meleager_editor_creator",
                        related_query_name="meleager_editors_creator",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "descriptions",
                    models.ManyToManyField(
                        help_text="The multilingual descriptions for this object.",
                        related_name="meleager_editor",
                        related_query_name="meleager_editors",
                        to="meleager.Description",
                    ),
                ),
                (
                    "last_editor",
                    models.ForeignKey(
                        help_text="The last editor of this resource.",
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="meleager_editor_last_editor",
                        related_query_name="meleager_editors_last_editor",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
