from django.db import models

from .mixins import DescriptableResourceMixin, EditableResourceMixin


class CommentType(models.TextChoices):
    USER_NOTE = ("user_note", "A note by an user")


class Comment(EditableResourceMixin, DescriptableResourceMixin, models.Model):
    images = models.ManyToManyField(
        "meleager.Medium",
        related_name="mlgr_comments",
        help_text="The images associated to this resource.",
    )
    comment_type = models.TextField(CommentType.choices)
    comment_title = models.TextField()

    def __str__(self):
        return f"Comment ({self.comment_title})"
