from django.db import models
from django.template.defaultfilters import truncatewords

from .helpers import Language
from .mixins.editable_mixin import EditableResourceMixin


class Description(EditableResourceMixin, models.Model):
    """
    Model that describe a mono-lingual description
    """

    description = models.TextField(null=False, default="", blank=True)
    language = models.CharField(choices=Language, max_length=3, db_index=True)

    def __str__(self):
        return f"{truncatewords(self.description, 5)} [{self.language}]"
