from django.db import models

from .mixins import DescriptableResourceMixin, EditableResourceMixin


class Edition(EditableResourceMixin, DescriptableResourceMixin, models.Model):
    class EditionType(models.IntegerChoices):
        MANUSCRIPT = 0
        TRANSLATION = 1
        COMMENTARY = 2
        SCHOLIA = 3
        ALIGNMENT = 4

    work = models.ForeignKey("meleager.Work", on_delete=models.CASCADE)
    edition_type = models.IntegerField(choices=EditionType.choices)
