from django.db import models

from .mixins import DescriptableResourceMixin, EditableResourceMixin


class URN(EditableResourceMixin, DescriptableResourceMixin, models.Model):
    keywords = models.ManyToManyField(
        "meleager.Keyword",
        related_name="mlgr_urns",
        help_text="The keywords that tag this resource.",
    )
    # example of perseus URN: urn:cts:greekLit:tlg7000.tlg001.perseus-grc2:7.281
    source = models.CharField(max_length=255, null=True)
    urn = models.URLField()

    def __str__(self):
        return f"{self.urn}"
