from django.db import models

from .mixins import (
    DescriptableResourceMixin,
    EditableResourceMixin,
    AlternativeURNResourceMixin,
)

class Work(
    EditableResourceMixin,
    DescriptableResourceMixin,
    AlternativeURNResourceMixin,
    models.Model,
):

    names = models.ManyToManyField(
        "meleager.Name",
        related_name="mlgr_works",
        help_text="The multilingual names for this object.",
    )

    def __str__(self):
        return f"Book ID {self.pk}"
