from rest_framework import serializers, viewsets

from meleager.models import Author


class NumericRange(serializers.Field):
    def to_representation(self, value):
        return {"lower": value.lower, "upper": value.upper}


class AuthorSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Author
        fields = "__all__"

    born_range_year_date = NumericRange()
    died_range_year_date = NumericRange()
