from rest_framework import serializers

from meleager.models import Keyword, KeywordCategory


class KeywordSerializer(serializers.HyperlinkedModelSerializer):
    category = serializers.HyperlinkedRelatedField(
        read_only=True, view_name="keyword_cat-detail"
    )

    class Meta:
        model = Keyword
        fields = "__all__"


class KeywordCategorySerializer(serializers.HyperlinkedModelSerializer):
    url = serializers.HyperlinkedRelatedField(
        read_only=True, view_name="keyword_cat-detail"
    )

    class Meta:
        model = KeywordCategory
        fields = "__all__"
