from django import forms
from meleager.models import City, Name, Description
from web.forms.name import NameWidget
from web.forms.description import DescriptionWidget


class CityForm(forms.ModelForm):
    names = forms.ModelMultipleChoiceField(
        queryset=Name.objects.exclude(mlgr_cities=None), widget=NameWidget()
    )

    descriptions = forms.ModelMultipleChoiceField(
        queryset=Description.objects.exclude(), widget=DescriptionWidget()
    )

    class Meta:
        model = City
        fields = "__all__"
