from urllib.parse import urlparse
from django.urls import reverse
from meleager.models import Passage, Scholium
from pathlib import Path


class APPassage(Passage):
    def get_absolute_url(self):
        return reverse(
            "web:passage-detail",
            args=(self.book.number, self.fragment, self.sub_fragment),
        )

    @property
    def urn_value(self):
        return Path(urlparse(self.get_absolute_url()).path).name

    class Meta:
        proxy = True


class APScholium(Scholium):
    def get_absolute_url(self):
        return reverse(
            "web:scholium",
            self.passage.book.number,
            self.passage.fragment,
            self.passage.sub_fragment,
        )

    class Meta:
        proxy = True
