from django.test import TestCase
from django.urls import reverse

from meleager.models import Work, Book, Passage, Description
from meleager.models import Comment

from web.forms.comment import CommentForm
from web.forms.description import DescriptionForm


class AddCommentFormPassage(TestCase):
    fixtures = ['test_data.json']

    def setUp(self):
        book = Book.objects.first()
        self.passage = Passage.objects.get(book=book, fragment=42)

    def test_form(self):
        response = self.client.post(
            reverse("web:comment-add", args=(self.passage.pk,)),
            data={
                "comment_title": "TEST COMMENT",
                "description": "TEST DESCRIPTION",
                "language": "fra",
            },
        )

        self.assertEquals(
            self.passage.comments.first().descriptions.first().description,
            "TEST DESCRIPTION",
        )
