from django.test import TestCase

from meleager.models import Book, Work
from web.models import APPassage, APScholium


class TestURNPassage(TestCase):
    fixtures = ["test_data.json"]

    def test_homepage_ok(self):
        resp = self.client.get("/")
        self.assertEqual(resp.status_code, 200)
        self.assertContains(resp, "12.42")
        self.assertContains(resp, "12.12abc")

    def test_passage1_ok(self):
        resp = self.client.get("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:12.42")
        self.assertEqual(resp.status_code, 200)

    def test_passage2_ok(self):
        resp = self.client.get("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:12.12abc")
        self.assertEqual(resp.status_code, 200)
