from django.shortcuts import get_object_or_404, render
from django.views import generic
from meleager.models import Author, Name
from web.forms.author import AuthorForm

from django import forms


class AuthorCreate(generic.CreateView):
    model = Author
    form_class = AuthorForm
    # fields = "__all__"
    template_name = "web/author/form.html"


class AuthorUpdate(generic.UpdateView):
    model = Author
    form_class = AuthorForm
    template_name = "web/author/form.html"


class AuthorDetail(generic.DetailView):
    model = Author
    context_object_name = "author"
    template_name = "web/author/detail.html"


class AuthorList(generic.ListView):
    model = Author
    template_name = "web/author/list.html"
    context_object_name = "authors"
