from django.views import generic
from meleager.models import City
from web.forms.city import CityForm


class CityList(generic.ListView):
    model = City
    template_name = "web/city/list.html"
    context_object_name = "cities"


class CityDetail(generic.DetailView):
    model = City
    template_name = "web/city/detail.html"
    context_object_name = "city"


class CityCreate(generic.CreateView):
    model = City
    template_name = "web/city/form.html"
    form_class = CityForm


class CityUpdate(generic.UpdateView):
    model = City
    template_name = "web/city/form.html"
    form_class = CityForm
