from django.shortcuts import get_object_or_404, redirect, render

from web.models import APPassage
from web.forms.comment import CommentForm
from web.forms.description import DescriptionForm
from web.forms.comment_description import CommentDescriptionForm


def add_comment_from_passage(request, passage_pk):
    passage = get_object_or_404(APPassage, pk=passage_pk)
    description_form = DescriptionForm(request.POST)
    comment_form = CommentForm(request.POST)
    comment_description_form = CommentDescriptionForm(request.POST)

    if description_form.is_valid() and comment_form.is_valid():
        description = description_form.save()
        comment = comment_form.save()
        comment.descriptions.add(description)
        passage = APPassage.objects.get(pk=passage_pk)
        passage.comments.add(comment)
        return redirect(f"{passage.get_absolute_url()}#comment-{comment.pk}")
    else:
        return render(
            request,
            "web/add_comment_from_passage.html",
            {"passage": passage, "comment_description_form": comment_description_form},
        )
