def test_hovering_original_highlight_translation(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    original = page.waitForSelector(
        '#alignments-tabs #alignment-content-1-ENG #align-original-1 blockquote [data-id="align-1-[2]"]'
    )
    translation = page.waitForSelector(
        '#alignments-tabs #alignment-content-1-ENG #align-translation-1 blockquote [data-id="align-1-[2]"]'
    )
    assert original.getAttribute("class") is None
    assert translation.getAttribute("class") is None
    original.hover()
    assert original.getAttribute("class") == "tag tag--warning tag--normal"
    assert translation.getAttribute("class") == "tag tag--warning tag--normal"
    # Cannot find how to un-hover, so let’s hover another element…
    page.waitForSelector(
        '#alignments-tabs #alignment-content-1-ENG #align-original-1 blockquote [data-id="align-1-[3]"]'
    ).hover()
    assert original.getAttribute("class") == ""
    assert translation.getAttribute("class") == ""


def test_hovering_original_highlight_translation_from_another_tab(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    tab = page.waitForSelector('#alignments-tabs [href="#alignment-content-2-FRA"]')
    tab.click()
    original = page.waitForSelector(
        '#alignments-tabs #alignment-content-2-FRA #align-original-2 blockquote [data-id="align-2-[2]"]'
    )
    translation = page.waitForSelector(
        '#alignments-tabs #alignment-content-2-FRA #align-translation-2 blockquote [data-id="align-2-[2]"]'
    )
    assert original.getAttribute("class") is None
    assert translation.getAttribute("class") is None
    original.hover()
    assert original.getAttribute("class") == "tag tag--warning tag--normal"
    assert translation.getAttribute("class") == "tag tag--warning tag--normal"
    # Cannot find how to un-hover, so let’s hover another element…
    page.waitForSelector(
        '#alignments-tabs #alignment-content-2-FRA #align-original-2 blockquote [data-id="align-2-[3]"]'
    ).hover()
    assert original.getAttribute("class") == ""
    assert translation.getAttribute("class") == ""
