def test_first_tab_is_selected(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    assert (
        page.textContent("#alignments-tabs .tab-container .selected").strip() == "ENG"
    )


def test_first_content_is_visible(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    assert (
        page.innerText(
            "#alignments-tabs #alignment-content-1-ENG #align-original-1 blockquote"
        )
        .strip()
        .startswith("νῦν πλέον ἢ τὸ πάροιθε")
    )


def test_click_on_french_tab(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    tab = page.waitForSelector('#alignments-tabs [href="#alignment-content-2-FRA"]')
    tab.click()
    assert (
        page.textContent("#alignments-tabs .tab-container .selected").strip() == "FRA"
    )
    assert (
        page.innerText(
            "#alignments-tabs #alignment-content-2-FRA #align-translation-2 blockquote"
        )
        .strip()
        .startswith("Maintenant plus qu ' auparavant , garde , triple chien")
    )
