def test_open_close_comment_form_modal(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")

    # The opacity of the modal should be 0 by default.
    modal = page.waitForSelector("#comment-new")
    opacity = modal.evaluate("e => window.getComputedStyle(e).opacity")
    assert opacity == "0"

    page.click("a >> text=/.*Add a new comment/")
    # Manually waiting for the .3s CSS transition.
    page.waitForTimeout(350)

    # Once opened, the opacity is set to 1.
    modal = page.waitForSelector("#comment-new")
    opacity = modal.evaluate("e => window.getComputedStyle(e).opacity")
    assert opacity == "1"
    assert (
        modal.waitForSelector(".modal-title").textContent().strip()
        == "Add a new comment"
    )

    # The Cancel link is closing the modal.
    cancel_link = modal.waitForSelector("text=Cancel")
    cancel_link.click()
    # Manually waiting for the .3s CSS transition.
    page.waitForTimeout(350)

    modal = page.waitForSelector("#comment-new")
    opacity = modal.evaluate("e => window.getComputedStyle(e).opacity")
    assert opacity == "0"


def test_open_close_with_escape_key_comment_form_modal(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")

    # The opacity of the modal should be 0 by default.
    modal = page.waitForSelector("#comment-new")
    opacity = modal.evaluate("e => window.getComputedStyle(e).opacity")
    assert opacity == "0"

    page.click("a >> text=/.*Add a new comment/")
    # Manually waiting for the .3s CSS transition.
    page.waitForTimeout(350)

    # Once opened, the opacity is set to 1.
    modal = page.waitForSelector("#comment-new")
    opacity = modal.evaluate("e => window.getComputedStyle(e).opacity")
    assert opacity == "1"
    assert (
        modal.waitForSelector(".modal-title").textContent().strip()
        == "Add a new comment"
    )

    # The escape key is closing the modal.
    page.keyboard.press("Escape")
    # Manually waiting for the .3s CSS transition.
    page.waitForTimeout(350)

    modal = page.waitForSelector("#comment-new")
    opacity = modal.evaluate("e => window.getComputedStyle(e).opacity")
    assert opacity == "0"


def test_submitting_comment_form(page):
    page.goto("/passages/urn:cts:greekLit:tlg7000.tlg001.ag:7.70")
    page.click("a >> text=/.*Add a new comment/")
    modal = page.waitForSelector("#comment-new")
    title_input = modal.waitForSelector("#id_comment_title")
    title_input.fill("Title")
    description_textarea = modal.waitForSelector("#id_description")
    description_textarea.fill("Description")
    language_input = modal.waitForSelector("#id_language")
    language_input.fill("fra")
    submit_button = modal.waitForSelector("button[type=submit]")
    # submit_button.click()
    # TODO: find the correct Playwright assertion in this context.
